package com.atguigu.tingshu.common.util;

import lombok.Getter;

public class MongoUtil {

    /**
     * 在MongoDB中业务数据对应集合名称
     */
    @Getter
    public enum MongoCollectionEnum {

        //专辑订阅
        USER_SUBSCRIBE(100,"userSubscribe"),
        //声音收藏
        USER_COLLECT(100,"userCollect"),
        //声音播放进度
        USER_LISTEN_PROCESS(100,"userListenProcess"),
        //评论
        COMMENT(100,"comment"),
        //评论点赞
        COMMENT_PRAISE(100,"commentPraise"),
        ;

        private Integer partition;
        private String collectionPrefix;

        MongoCollectionEnum(Integer partition, String collectionPrefix) {
            this.partition = partition;
            this.collectionPrefix = collectionPrefix;
        }

    }


    /**
     * 获取mongo表名
     * @param mongoCollection Collection前缀
     * @param userId 用户ID
     * @return
     */
    public static String getCollectionName(MongoCollectionEnum mongoCollection, Long userId) {
        return mongoCollection.getCollectionPrefix() + "_" + userId;
    }
}

