package com.atguigu.tingshu.common.cache;

import com.atguigu.tingshu.common.constant.RedisConstant;

import java.lang.annotation.*;
import java.util.concurrent.TimeUnit;

@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Inherited
@Documented
public @interface GuiGuCache {


    /**
     * 放入Redis缓存业务数据跟锁Key的前缀
     * @return
     */
    String prefix() default "cache:";

    /**
     * 缓存过期时间
     * @return
     */
    long ttl() default RedisConstant.ALBUM_TIMEOUT;

    /*
     * 时间单位
     */
    TimeUnit timeUnit() default TimeUnit.SECONDS;


}
