package com.atguigu.tingshu.order.service;

import com.atguigu.tingshu.model.order.OrderInfo;
import com.atguigu.tingshu.vo.order.OrderInfoVo;
import com.atguigu.tingshu.vo.order.TradeVo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface OrderInfoService extends IService<OrderInfo> {


    /**
     * 对购买商品（VIP会员、专辑、声音）封装订单结算页所需要数据
     * @param userId 用户ID
     * @param tradeVo {购买商品类别,商品ID,声音数量}
     * @return
     */
    OrderInfoVo trade(Long userId, TradeVo tradeVo);

    /**
     * 提交订单
     * @param orderInfoVo
     * @return 订单编号
     */
    String submitOrder(Long userId, OrderInfoVo orderInfoVo);

    /**
     * 保存订单及相关信息
     * @param orderInfoVo
     * @return
     */
    OrderInfo saveOrderInfo(OrderInfoVo orderInfoVo);
}
