package com.atguigu.tingshu.user.service;

import com.atguigu.tingshu.model.user.UserInfo;
import com.atguigu.tingshu.vo.user.UserInfoVo;
import com.atguigu.tingshu.vo.user.UserPaidRecordVo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

public interface UserInfoService extends IService<UserInfo> {

    /**
     * 微信登录
     * @param code
     * @return
     */
    Map<String, String> wxLogin(String code);

    /**
     * 查询指定用户基本信息
     * @param userId
     * @return
     */
    UserInfoVo getUserInfo(Long userId);

    /**
     * 更新用户信息
     * @param userInfoVo
     */
    void updateUser(UserInfoVo userInfoVo);

    /**
     * 根据用户ID + 专辑ID + 音轨ID列表查询用户购买情况
     * @param userId
     * @param albumId
     * @param needCheckBuyStateTrackIds
     * @return
     */
    Map<Long, Integer> userIsPaidTrack(Long userId, Long albumId, List<Long> needCheckBuyStateTrackIds);


    /**
     * 返回指定用户指定专辑购买结果
     * @param userId
     * @param albumId
     * @return
     */
    boolean isPaidAlbum(Long userId, Long albumId);

    /**
     * 查询用户指定专辑已购声音ID列表
     *
     * @param userId
     * @param albumId
     * @return
     */
    List<Long> findUserPaidTrackList(Long userId, Long albumId);


    /**
     * 虚拟物品发货,保存购买记录（声音、专辑、VIP会员）
     * @param userPaidRecordVo
     * @return
     */
    void savePaidRecord(UserPaidRecordVo userPaidRecordVo);
}
